---
name: Becky Reich
locality: Austin, TX
country: USA
role: <a href="/job-families/marketing/corporate-events/#manager-brand-growth">Manager,
  Brand Growth Manager</a>
reports_to: craig-mestel
picture: RREICH_TEAM.jpg
twitter:
gitlab: rreich
departments:
- Marketing
- Corporate Marketing
story: brand, innovative tech, repeat

